libxmlb: Move to our fork with the upstream/0.1.8 branch

Try to fix "gbp:error: upstream/0.1.8 is not a valid treeish".
1 job for add-libxmlb in 16 seconds
Status Job ID Name Coverage
  Test
passed #144817
librem5
build-native

00:00:16